Skip to main content
POST
Save the current browser state to a profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_or_name
string
required

Browser session ID or name

Body

application/json

Destination profile for a snapshot of the running browser. Provide either id or name. An id must identify an existing profile. A name overwrites the matching profile in the browser's project, or creates it when no matching profile exists.

id
string
required

Existing profile ID to overwrite.

Minimum string length: 1
name
string

Profile name to overwrite or create.

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9._-]{1,255}$

Response

Existing profile updated successfully

Browser profile metadata.

created_at
string<date-time>
required

Timestamp when the profile was created

id
string
required

Unique identifier for the profile

last_used_at
string<date-time>

Timestamp when the profile was last used

name
string | null

Optional, easier-to-reference name for the profile

updated_at
string<date-time>

Timestamp when the profile was last updated